#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.14
visibility:           public
id:                   foldl-1.4.14-HgUqFsJZL0V5uFsjkbvUg5
key:                  foldl-1.4.14-HgUqFsJZL0V5uFsjkbvUg5
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  e6cadca006cdc6c19b0a8c4d3bbd56c8
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.14
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.14
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.14-HgUqFsJZL0V5uFsjkbvUg5
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-6cYpSoJxlzMI3VWtLlNNGm containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.4.2.0-FGfJ6SPjJOQC6UzILfUyUL
    primitive-0.7.4.0-JO2L1m8yKpKHqM3qF2iOEl
    profunctors-5.6.2-8z68H5NbN8m4HXbO6Cilzy
    random-1.2.1.1-8erLhCi2BjJFOfZWbNb3er
    semigroupoids-5.3.7-Gb90AiXr4tH9j7anAfahgv text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-IiLQZF6DbPQFjcFD1585i8
    vector-0.13.0.0-Ig05MaAMeBqj8G3IIQCIl

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

